#
# spec file for package varmon (Version 1.0.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           varmon
Summary:        Mylex DAC960 RAID Controller Monitoring Tool
 
License:        GPL
Group:          Hardware/Other
Autoreqprov:    on
Version:        1.0.2
Release:        587.2
Source:         varmon-1.0.2.tar.gz
Patch:          varmon-1.0.2.dif
Patch1:         gcc4.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This tool allows you to monitor the status of the Mylex DAC960 RAID
controller series. It also allows certain administrative tasks, such as
starting rebuilds.



Authors:
--------
    Dragan Stancevic <visitor@valinux.com>

%debug_package
%prep
%setup -n varmon-1.0.2
%patch
%patch1
rm -f varmon

%build
make

%install
test -n "$RPM_BUILD_ROOT" && rm -Rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin
install varmon     $RPM_BUILD_ROOT/sbin/  

%clean

%files 
%defattr(-,root,root)
/sbin/varmon

%changelog -n varmon
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Apr 24 2005 - aj@suse.de
- Build with GCC4.
* Wed Jul 28 2004 - hmacht@suse.de
- building as non-root user
* Thu Feb 19 2004 - kukuk@suse.de
- Cleanup neededforbuild
* Thu Aug 01 2002 - ro@suse.de
- fix compilation, use buildroot
* Mon Apr 23 2001 - rm@suse.de
- change the description: remove the DAC960 line
* Thu Feb 22 2001 - rm@suse.de
- update the source to 1.0.2, removed the patch from specfile.
* Sun Oct 29 2000 - ro@suse.de
- removed fileutil from neededforbuild (is in base-files anyway)
* Mon Sep 18 2000 - rm@suse.de
- Unuse BuildRoot
* Mon Aug 28 2000 - garloff@suse.de
- Use BuildRoot.
* Thu Aug 10 2000 - garloff@suse.de
- Initial creation of varmon package
- Patch to account for the changed info IOCTL in DAC960 driver
  2.2.6 (and later) -> Version 1.0.1.
